html {
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*,
*:before,
*:after {
  -webkit-box-sizing: inherit;
  -moz-box-sizing: inherit;
  box-sizing: inherit;
}

html {
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, Oxygen, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
  color: #515151;
}

.main-header {
  position: fixed;
  z-index: 3;
  height: 80px;
  background-image: linear-gradient(
    180deg,
    #2483c6 0%,
    rgba(84, 205, 190, 1) 100%
  );
  width: 100%;
  top: 0;
  left: 0;
  color: #fff;
  box-shadow: 0px 3px 5px 0px rgba(0, 0, 0, 0.25);
}

.main-header__container {
  /* max-width: 1000px; */
  display: flex;
  align-items: center;
  justify-content: space-between;
  margin: auto;
  height: 100%;
  padding: 20px;
}

.main-header__logo {
  display: flex;
  align-items: center;
  font-family: montserrat, Impact, Haettenschweiler, "Arial Narrow Bold",
    sans-serif;
  font-weight: 900;
  font-size: 22px;
  /* text-transform: uppercase; */
}

.main-header__logo img {
  max-height: 60px;
  margin-right: 15px;
}

.main-header__links {
  display: flex;
  list-style: none;
}

.main-header a {
  color: #fff;
  font-family: montserrat, Impact, Haettenschweiler, "Arial Narrow Bold",
    sans-serif;
  text-decoration: none;
  margin: 5px 10px;
}

.main-header a:hover {
  text-decoration: underline;
}

.container {
  max-width: 720px;
  margin: auto;
}

.nav__pages {
  padding-left: 40px;
  list-style-type: decimal-leading-zero;
}

.nav__pages ul {
  padding: 0;
  list-style: none;
}

.nav__pages a {
  text-decoration: none;
  color: #2483c6;
  display: block;
  width: 100%;
}

.nav__li,
.toc__li {
  font-size: 14px;
  font-weight: 600;
}

.nav__li--1 {
  font-weight: 700;
  font-size: 16px;
}

.nav__li.active > a {
  background-color: #2483c6;
  color: #fff;
}

.nav__li--1 {
  margin-bottom: 5px;
}

.nav__li--1 a {
  padding: 8px 8px 8px 14px;
}

.toc__list {
  border-left: 1px solid #aaa;
  margin-left: 10px;
}

.post__sidebar {
  flex: 0 0 300px;
  padding: 100px 10px 20px;
  font-family: montserrat, Impact, Haettenschweiler, "Arial Narrow Bold",
    sans-serif;
  position: fixed;
  height: 100%;
  width: 300px;
  background-color: #fff;
  overflow: auto;
  z-index: 2;
  top: 0;
}

.post__container {
  padding-left: 300px;
  margin-top: 80px;
  display: flex;
  flex-flow: column;
  min-height: 100vh;
}

.post__article {
  max-width: 720px;
  margin: 0 auto;
  font-size: 18px;
}

.post__article li {
  margin-bottom: 10px;
}

.post__article img {
  max-width: 100%;
}

.post__article p {
  line-height: 1.5;
  margin: 1.5rem 0;
  /* text-indent: 1rem; */
  text-align: justify;
}

.post__article a {
  color: #2fa4e7;
  text-decoration: none;
}

.post__article a:hover {
  text-decoration: underline;
}

.post__article h1,
.post__article h2,
.post__article h3,
.post__article h4,
.post__article h5,
.post__article h6 {
  text-transform: uppercase;
  font-weight: 900;
  color: #0080b7;
  font-family: montserrat, Impact, Haettenschweiler, "Arial Narrow Bold",
    sans-serif;
}

.post__article em {
  background-color: #fdf281;
  font-style: normal;
}

.post__footer {
  background-color: #12c6e8;
  color: #fff;
  padding-bottom: 30px;
}

.img__onda-ft {
  width: 100%;
  height: 150px;
  display: block;
  margin-top: auto;
}

.next__container {
  margin-left: auto;
}

.prev-next-btn {
  text-decoration: none;
  text-transform: uppercase;
  padding: 10px 15px 6px 15px;
  border: 2px solid;
  border-radius: 40px;
  display: inline-block;
  font-weight: 600;
  line-height: 1;
  vertical-align: middle;
  color: #146899;
  border-color: #146899;
  background-color: #fff;
  font-size: 12px;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
}

.prev-next-btn i {
  font-size: 20px;
  vertical-align: middle;
  display: inline-block;
  margin-top: -2px;
}

.prev-next__title {
  color: #fff;
  font-family: montserrat, Impact, Haettenschweiler, "Arial Narrow Bold",
    sans-serif;
  margin: 0 10px;
  text-decoration: none;
  max-width: 150px;
  vertical-align: middle;
  display: inline-block;
}

.post__prev-next {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.mobile-toc-button,
.toc-close,
.menu-wrapper {
  display: none;
}

figure {
  margin: 20px 0;
}

figcaption {
  text-align: center;
  font-size: 14px;
}

blockquote {
  position: relative;
  border-left: 2px solid #eee;
  padding-left: 10px;
  margin-bottom: 50px;
}

cite {
  display: block;
  margin-top: 20px;
  font-size: 16px;
}

blockquote::before {
  content: "";
  position: absolute;
  top: -20px;
  left: -35px;
  height: 30px;
  width: 30px;
  background: url("../img/quote.png") no-repeat center / contain;
}

.button {
  text-decoration: none;
  display: inline-block;
  background: cornflowerblue;
  padding: 20px;
  color: #fff!important;
  border-radius: 10px;
  font-weight: 900;
  text-transform: uppercase;
}

@media screen and (max-width: 1024px) {
  .main-header {
    position: unset;
  }

  .main-header__links {
    position: absolute;
    padding: 70px 20px 20px;
    margin: 0;
    width: 100%;
    left: 0;
    top: 0;
    flex-flow: column;
    background: #45b6c0;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.2);
    transform: translateY(-100%);
    transition: 0.2s ease-in-out transform;
  }

  .main-header__links a {
    font-size: 20px;
    display: inline-block;
    margin: 0;
    padding: 10px 0;
  }

  .menu-wrapper {
    display: block;
  }

  .menu-wrapper.animate + .main-header__links {
    transform: translateY(0);
  }

  .post__sidebar {
    transform: translateX(-100%);
    transition: 0.2s ease-in-out transform;
    border-right: 2px solid #eee;
    padding-top: 20px;
    padding-bottom: 100px;
    z-index: 4;
  }

  .post__container {
    padding-left: 0px;
    margin-top: 0;
  }

  .post__article {
    padding: 0 20px;
  }

  .mobile-toc-button {
    display: block;
    position: fixed;
    bottom: 20px;
    left: 20px;
    background: #fff;
    border-radius: 100px;
    padding: 8px;
    border: none;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
    line-height: 0;
    z-index: 5;
  }

  .mobile-toc-button img {
    width: 40px;
    height: 40px;
    object-fit: contain;
    object-position: center;
  }

  .mobile-toc-button .toc-close {
    width: 30px;
    height: 30px;
    padding: 5px;
    box-sizing: content-box;
  }

  .mobile-toc-button.active + .post__sidebar {
    transform: translateX(0);
  }

  .mobile-toc-button.active .toc-close {
    display: block;
  }

  .mobile-toc-button.active .toc-open {
    display: none;
  }

  .post__footer {
    padding-bottom: 100px;
    padding-left: 20px;
    padding-right: 20px;
  }

  h1,
  h1 span {
    font-size: 24px !important;
  }

  .post__article p {
    text-align: left;
  }

  .post__prev-next {
    flex-flow: column-reverse;
    align-items: center;
    text-align: center;
  }

  .next__container,
  .previous__container {
    display: flex;
    flex-flow: column;
    margin-left: 0;
    align-items: center;
  }

  .next__container .prev-next__title {
    order: 2;
  }

  .prev-next-btn {
    margin-bottom: 5px;
  }

  .prev-next__title {
    max-width: none;
    margin-bottom: 23px;
  }
}
